package com.brilliance.isc.common.quemod.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

@Getter
@AllArgsConstructor
public enum QueChannelStatus {

    CIP("CIP","CIPS支付"),
    SWT("SWT","SWIFT来报"),
    FMT("FMT","境内外币"),
    HVP("HVP","二代支付"),
    CMT("CMT","人民币跨境"),
    YPT("YPT","云平台"),
    ELC("ELC","电子信用证"),
    ZT("ZT","中间业务平台"),
    EJS("EJS","阳光E结算");

    private final String value;
    private final String name;

    public static String getNameByValue(String value){
        for (QueChannelStatus s : QueChannelStatus.values()) {
            if (Objects.equals(s.getValue(), value)) {
                return s.getName();
            }
        }
        return "";
    }

}
